mxEvent (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxEvent

    java.lang.Object
      com.mxgraph.util.mxEvent

    public class mxEvent

extends Object

Contains all global constants.

Field Summary
`static String` | `ADD`
`static String` | `ADD_CELLS`
`static String` | `ADD_OVERLAY`
`static String` | `AFTER_PAINT`
`static String` | `ALIGN_CELLS`
`static String` | `BEFORE_PAINT`
`static String` | `BEFORE_UNDO` Holds the name for the beforeUndo event.
`static String` | `BEGIN_UPDATE` Holds the name for the beginUpdate event.
`static String` | `CELL_CONNECTED`
`static String` | `CELLS_ADDED`
`static String` | `CELLS_FOLDED`
`static String` | `CELLS_MOVED`
`static String` | `CELLS_ORDERED`
`static String` | `CELLS_REMOVED`
`static String` | `CELLS_RESIZED`
`static String` | `CELLS_TOGGLED`
`static String` | `CHANGE` Holds the name for the change event.
`static String` | `CLEAR`
`static String` | `CONNECT`
`static String` | `CONNECT_CELL`
`static String` | `CONTINUE`
`static String` | `DONE`
`static String` | `DOWN`
`static String` | `END_UPDATE` Holds the name for the endUpdate event.
`static String` | `EXECUTE` Holds the name for the execute event.
`static String` | `FIRED`
`static String` | `FLIP_EDGE`
`static String` | `FOLD_CELLS`
`static String` | `GROUP_CELLS`
`static String` | `INSERT`
`static String` | `LABEL_CHANGED`
`static String` | `LAYOUT_CELLS`
`static String` | `MARK` Holds the name for the mark event, which fires after a cell has been marked.
`static String` | `MOVE_CELLS`
`static String` | `NOTIFY` Holds the name for the norify event.
`static String` | `ORDER_CELLS`
`static String` | `PAINT`
`static String` | `REDO`
`static String` | `REMOVE_CELLS`
`static String` | `REMOVE_CELLS_FROM_PARENT`
`static String` | `REMOVE_OVERLAY`
`static String` | `REPAINT`
`static String` | `RESIZE_CELLS`
`static String` | `ROOT`
`static String` | `SCALE`
`static String` | `SCALE_AND_TRANSLATE`
`static String` | `SELECT`
`static String` | `SPLIT_EDGE`
`static String` | `START`
`static String` | `START_EDITING`
`static String` | `STOP`
`static String` | `TOGGLE_CELLS`
`static String` | `TRANSLATE`
`static String` | `UNDO`
`static String` | `UNGROUP_CELLS`
`static String` | `UP`
`static String` | `UPDATE_CELL_SIZE`

Constructor Summary
`mxEvent()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DONE

    public static final String DONE

See Also:
  Constant Field Values

### ADD_CELLS

    public static final String ADD_CELLS

See Also:
  Constant Field Values

### CELLS_ADDED

    public static final String CELLS_ADDED

See Also:
  Constant Field Values

### ALIGN_CELLS

    public static final String ALIGN_CELLS

See Also:
  Constant Field Values

### CONNECT_CELL

    public static final String CONNECT_CELL

See Also:
  Constant Field Values

### CONNECT

    public static final String CONNECT

See Also:
  Constant Field Values

### CELL_CONNECTED

    public static final String CELL_CONNECTED

See Also:
  Constant Field Values

### FLIP_EDGE

    public static final String FLIP_EDGE

See Also:
  Constant Field Values

### FOLD_CELLS

    public static final String FOLD_CELLS

See Also:
  Constant Field Values

### CELLS_FOLDED

    public static final String CELLS_FOLDED

See Also:
  Constant Field Values

### GROUP_CELLS

    public static final String GROUP_CELLS

See Also:
  Constant Field Values

### UNGROUP_CELLS

    public static final String UNGROUP_CELLS

See Also:
  Constant Field Values

### REMOVE_CELLS_FROM_PARENT

    public static final String REMOVE_CELLS_FROM_PARENT

See Also:
  Constant Field Values

### MOVE_CELLS

    public static final String MOVE_CELLS

See Also:
  Constant Field Values

### CELLS_MOVED

    public static final String CELLS_MOVED

See Also:
  Constant Field Values

### ORDER_CELLS

    public static final String ORDER_CELLS

See Also:
  Constant Field Values

### CELLS_ORDERED

    public static final String CELLS_ORDERED

See Also:
  Constant Field Values

### REMOVE_CELLS

    public static final String REMOVE_CELLS

See Also:
  Constant Field Values

### CELLS_REMOVED

    public static final String CELLS_REMOVED

See Also:
  Constant Field Values

### REPAINT

    public static final String REPAINT

See Also:
  Constant Field Values

### RESIZE_CELLS

    public static final String RESIZE_CELLS

See Also:
  Constant Field Values

### CELLS_RESIZED

    public static final String CELLS_RESIZED

See Also:
  Constant Field Values

### SPLIT_EDGE

    public static final String SPLIT_EDGE

See Also:
  Constant Field Values

### TOGGLE_CELLS

    public static final String TOGGLE_CELLS

See Also:
  Constant Field Values

### CELLS_TOGGLED

    public static final String CELLS_TOGGLED

See Also:
  Constant Field Values

### UPDATE_CELL_SIZE

    public static final String UPDATE_CELL_SIZE

See Also:
  Constant Field Values

### LABEL_CHANGED

    public static final String LABEL_CHANGED

See Also:
  Constant Field Values

### ADD_OVERLAY

    public static final String ADD_OVERLAY

See Also:
  Constant Field Values

### REMOVE_OVERLAY

    public static final String REMOVE_OVERLAY

See Also:
  Constant Field Values

### BEFORE_PAINT

    public static final String BEFORE_PAINT

See Also:
  Constant Field Values

### PAINT

    public static final String PAINT

See Also:
  Constant Field Values

### AFTER_PAINT

    public static final String AFTER_PAINT

See Also:
  Constant Field Values

### START_EDITING

    public static final String START_EDITING

See Also:
  Constant Field Values

### UNDO

    public static final String UNDO

See Also:
  Constant Field Values

### REDO

    public static final String REDO

See Also:
  Constant Field Values

### UP

    public static final String UP

See Also:
  Constant Field Values

### DOWN

    public static final String DOWN

See Also:
  Constant Field Values

### SCALE

    public static final String SCALE

See Also:
  Constant Field Values

### TRANSLATE

    public static final String TRANSLATE

See Also:
  Constant Field Values

### SCALE_AND_TRANSLATE

    public static final String SCALE_AND_TRANSLATE

See Also:
  Constant Field Values

### CHANGE

    public static final String CHANGE

  Holds the name for the change event. First and only argument in the argument array is the list of mxAtomicGraphChanges that have been executed on the model.

  See Also:
    Constant Field Values

### EXECUTE

    public static final String EXECUTE

  Holds the name for the execute event. First and only argument in the argument array is the mxAtomicGraphChange that has been executed on the model. This event fires before the change event.

  See Also:
    Constant Field Values

### BEFORE_UNDO

    public static final String BEFORE_UNDO

  Holds the name for the beforeUndo event. First and only argument in the argument array is the current edit that is currently in progress in the model. This event fires before notify is called on the currentEdit in the model.

  See Also:
    Constant Field Values

### NOTIFY

    public static final String NOTIFY

  Holds the name for the norify event. First and only argument in the argument array is the list of mxAtomicGraphChanges that have been executed on the model. This event fires after the change event.

  See Also:
    Constant Field Values

### BEGIN_UPDATE

    public static final String BEGIN_UPDATE

  Holds the name for the beginUpdate event. This event has no arguments and fires after the updateLevel has been changed in model.

  See Also:
    Constant Field Values

### END_UPDATE

    public static final String END_UPDATE

  Holds the name for the endUpdate event. This event has no arguments and fires after the updateLevel has been changed in the model. First argument is the currentEdit.

  See Also:
    Constant Field Values

### INSERT

    public static final String INSERT

See Also:
  Constant Field Values

### ADD

    public static final String ADD

See Also:
  Constant Field Values

### CLEAR

    public static final String CLEAR

See Also:
  Constant Field Values

### FIRED

    public static final String FIRED

See Also:
  Constant Field Values

### SELECT

    public static final String SELECT

See Also:
  Constant Field Values

### MARK

    public static String MARK

  Holds the name for the mark event, which fires after a cell has been marked. First and only argument in the array is the cell state that has been marked or null, if no state has been marked. To add a mark listener to the cell marker: `addListener( mxEvent.MARK, new mxEventListener() { public void invoke(Object source, Object[] args) { cellMarked((mxCellMarker) source, (mxCellState) args[0]); } });`

### ROOT

    public static String ROOT

### LAYOUT_CELLS

    public static String LAYOUT_CELLS

### START

    public static String START

### CONTINUE

    public static String CONTINUE

### STOP

    public static String STOP

Constructor Detail

### mxEvent

    public mxEvent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.